ChangeSet 1.1022, 2003/03/05 14:18:18-08:00, bunk@fs.tum.de

[PATCH] USB: fix Auerswald compile

I got the following error at the final linking:

<--  snip  -->

...
        --end-group \
        -o vmlinux
...
drivers/usb/usbdrv.o(.text+0x65061): In function `auerchar_open':
: undefined reference to `auerdev_table_mutex'
drivers/usb/usbdrv.o(.text+0x6506a): In function `auerchar_open':
: undefined reference to `auerdev_table_mutex'
drivers/usb/usbdrv.o(.text+0x65087): In function `auerchar_open':
: undefined reference to `auerdev_table'
drivers/usb/usbdrv.o(.text+0x65094): In function `auerchar_open':
: undefined reference to `auerdev_table_mutex'
drivers/usb/usbdrv.o(.text+0x650c1): In function `auerchar_open':
: undefined reference to `auerdev_table_mutex'
drivers/usb/usbdrv.o(.text+0x650da): In function `auerchar_open':
: undefined reference to `auerdev_table_mutex'
make: *** [vmlinux] Error 1

<--  snip  -->

auerdev_table and auerdev_table_mutex are static in auermain.c but used
from auerchar.c. The following patch makes them non-static:


 drivers/usb/auermain.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/auermain.c b/drivers/usb/auermain.c
--- a/drivers/usb/auermain.c	Thu Mar  6 14:23:17 2003
+++ b/drivers/usb/auermain.c	Thu Mar  6 14:23:17 2003
@@ -66,10 +66,10 @@
 extern devfs_handle_t usb_devfs_handle;
 
 /* array of pointers to our devices that are currently connected */
-static struct auerswald *auerdev_table[AUER_MAX_DEVICES];
+struct auerswald *auerdev_table[AUER_MAX_DEVICES];
 
 /* lock to protect the auerdev_table structure */
-static struct semaphore auerdev_table_mutex;
+struct semaphore auerdev_table_mutex;
 
 /*-------------------------------------------------------------------*/
 /* Forwards */
